getwd()
setwd('C:/Users/Kenny/OneDrive/6 Blog/Post 003 - Temperature increase 1c and 2c')

library('tidyverse')
library('ggthemes')

# Dataset load
onepointfivedegrees <- read_csv("econimpact15c.csv")
twodegrees <- read_csv("econimpact2c.csv")

# Remove unnecessary information
df15c <- subset(onepointfivedegrees, select=-c(Year,
                                      Code,
                                      `83rd percentile (%)`,
                                      `17th percentile (%)`,
                                      `2.5th percentile (%)`,
                                      `97.5th percentile (%)`))
# Remove unnecessary information
df2c <- subset(twodegrees, select=-c(Year,
                                      Code,
                                      `83rd percentile (%)`,
                                      `17th percentile (%)`,
                                      `2.5th percentile (%)`,
                                      `97.5th percentile (%)`))

# Rename column names
df15c <- df15c %>%
  rename(country = Entity, value = `Median (%)`)

df2c <- df2c %>%
  rename(country = Entity, value = `Median (%)`)





#########################
##                     ##
##     filter data     ##
##                     ##
#########################

## sortData15c <- df15c %>%
  ##(country, value) ##%>%
  ## arrange(value) %>%
  ##mutate(country = factor(country, levels = .$country))


sortData15cTop10 <- df15c %>%
  top_n(10)

sortData15cBottom10 <- df15c %>%
  top_n(-10)

sortData15cMerged <- rbind(sortData15cTop10, sortData15cBottom10)


## 2C

##sortData2c <- df2c %>%
  ##select(country, value) ##%>%
  ## arrange(value) %>%
  ##mutate(country = factor(country, levels = .$country))

sortData2cTop10 <- df2c %>%
  top_n(10)

sortData2cBottom10 <- df2c %>%
  top_n(-10)

sortData2cMerged <- rbind(sortData2cTop10, sortData2cBottom10)



#########################
##                     ##
## 1.5 degrees change  ##
##                     ##
#########################

# Barplot
barplot <- ggplot(sortData15cMerged, mapping = aes(x=reorder(country,value), y=value)) +
  geom_bar(stat = "identity") +
  coord_flip() +
  theme_tufte()

barplot

# Lollipop
lollipop <- ggplot(sortData15cMerged, 
  mapping = aes(x=reorder(country,value), 
               y=value,
               col=ifelse(value >= 0, 'Positive', 'Negative'))) +
  geom_segment(aes(
                x = reorder(country,value), 
                y = 0, 
                xend = country, 
                yend = value), 
                color = "darkgrey") +
  geom_point(size=2) +
  coord_flip() +
  theme(
    panel.background = element_rect(fill = "white",
                                    colour = "white",
                                    size = 0.5, linetype = "solid"),
    panel.grid.major.y = element_line(size = 0.5, linetype = 'solid',
                                    colour = "white"), 
    panel.grid.major = element_line(size = 0.25, linetype = 'dashed',
                                    colour = "gainsboro"),
    panel.grid.minor = element_line(size = 0.25, linetype = 'dashed',
                                    colour = "gainsboro")
  )
    
lollipop



write.csv(sortData15cMerged, 'C:/Users/Kenny/OneDrive/6 Blog/Post 004/dataset.csv')
write.csv(sortData2cMerged, 'C:/Users/Kenny/OneDrive/6 Blog/Post 004/dataset2c.csv')























